#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kclock
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        Clock application for Plasma
Group:          Graphical desktop/KDE
License:        GPL-2.0-or-later
URL:            https://apps.kde.org/kclock
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5KirigamiAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Service)

Requires:       kirigami-addons
Requires:       kirigami2

%description
A clock application for Plasma.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf5_sysconfdir}/xdg/autostart/org.kde.kclockd-autostart.desktop
%{_kf5_bindir}/kclock
%{_kf5_bindir}/kclockd
%{_qt5_plugindir}/plasma/applets/plasma_applet_kclock_1x2.so
%{_kf5_applicationsdir}/org.kde.kclock.desktop
%{_kf5_metainfodir}/org.kde.kclock.appdata.xml
%{_kf5_metainfodir}/org.kde.plasma.kclock_1x2.appdata.xml
%{_kf5_datadir}/dbus-1/services/org.kde.kclockd.service
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kclockd.Alarm.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kclockd.AlarmModel.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kclockd.KClockSettings.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kclockd.Timer.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kclockd.TimerModel.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kclockd.Utility.xml
%{_kf5_iconsdir}/hicolor/scalable/apps/org.kde.kclock.svg
%{_kf5_iconsdir}/hicolor/scalable/apps/kclock_plasmoid_1x2.svg
%{_kf5_knotificationsdir}/kclockd.notifyrc
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.kclock_1x2/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959972
- initial package kclock

